@import url("https://fonts.googleapis.com/css?family=Poppins:100,200,300,400,500,600,700,800,900");
body {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  min-height: 100vh;
  background: linear-gradient(50deg, #24006b, #f42f8c);
}

.container {
  width: 1200px;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: (minmax(350px, 1fr))[auto-fit];
      grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
  grid-gap: 15px;
  margin: 0 auto;
}

.container .card {
  position: relative;
  width: 300px;
  height: 400px;
  margin: 0 auto;
  background: #fff;
  -webkit-box-shadow: 0 15px 60px rgba(0, 0, 0, 0.5);
          box-shadow: 0 15px 60px rgba(0, 0, 0, 0.5);
}

.container .card .face {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.container .card .face.face1 {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  padding: 20px;
}

.container .card .face.face1 h2 {
  margin: 0;
  padding: 0;
}

.container .card .face.face2 {
  background: #111;
  -webkit-transition: 0.5s;
  transition: 0.5s;
}

.container .card .face.face2 h2 {
  margin: 0;
  padding: 0;
  font-size: 10em;
  color: #fff;
  -webkit-transition: 0.5s;
  transition: 0.5s;
  text-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.container .card .face.face2:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.1);
}

.container .card:nth-child(1) .face.face2 {
  background: linear-gradient(45deg, #3503ad, #f7308c);
}

.container .card:nth-child(2) .face.face2 {
  background: linear-gradient(45deg, #ccff00, #09afff);
}

.container .card:nth-child(3) .face.face2 {
  background: linear-gradient(45deg, #e91e63, #ffeb3b);
}

.container .card:hover .face.face2 {
  height: 60px;
}

.container .card:hover .face.face2 h2 {
  font-size: 2em;
}
/*# sourceMappingURL=style.css.map */